function A = f(B,angles,face_i,face_j,face_k,vertex1,vertex2)
%  function A = f(B,angles,face_i,face_j,face_k,vertex1,vertex2)
%  This is a function used by newton_iter to specify the conditions that
%  the polygon satisfys the desired angles.
%  HELPER FUNCTION, NOT FOR GENERAL USE.
%
%  RR
%
length = size(B,1);
A = zeros(length,1);
N = size(angles,1);  %the number of faces

Vectors = zeros(N,4);
for i=1:N
  for j=1:4
    Vectors(i,j) = B(4*(i-1)+j);
  end
end

v1 = Vectors(face_i,:);

A(1) = Vectors(face_i,1) - v1(1);
A(2) = Vectors(face_i,3) - v1(3);
A(3) = Vectors(face_i,4) - v1(4);
A(4) = inner(Vectors(face_j,:),vertex1);
A(5) = inner(Vectors(face_j,:),vertex2);
A(6) = inner(Vectors(face_k,:),vertex1);


count = 7;

for i=1:N
  for j=i:N
    if ((angles(i,j)) > -1)
        A(count) = inner(Vectors(i,:),Vectors(j,:)) - cos(pi-(pi/180.)*angles(i,j));
      count = count +1;
    end
  end
end


if ((count -4*N-1) ~= 0)
  count
  disp('UNDETERMINED SYSTEM !!!!!');
end

