function M = interior_to_cycle(poly,num_cycle,cycle,num_interior,interior)
%  function M = interior_to_cycle(poly,num_cycle,cycle,num_interior,interior)
%  Determines how the interior vertices are connected to the cycle.
%  returns an adjacency matrix of the interior veritices vs. the cycle ones.
%
%  RR


a = poly.adjacency;

for i=1:num_interior;
  for j=1:num_cycle;
    M(j,i) = a(interior(i),cycle(j));
  end
end
