function compact = is_compact(poly)

Vectors = poly.faces;
adjacency = poly.adjacency;
vert = poly.vert;

Faces = vert;  %this matrix contains in the i-th row, the list of 3 faces
                %that intersect at face i.
clear('S')
vertices = size(vert,1);

compact = 1;

for i=1:vertices
  A(1,:) = Vectors(Faces(i,1),:);
  A(2,:) = Vectors(Faces(i,2),:);
  A(3,:) = Vectors(Faces(i,3),:);       %the vertex is orthogonal to each of the
  A(:,1) = -A(:,1);
  v = null(A);          %three planes
  if (inner(v,v) > 0)
    compact = 0;
  end
end


