function convex = is_convex(poly_in)

v_init = poly_in.faces;
a_init = poly_in.adjacency;
vert_init = poly_in.vert;

%dimensions
faces = size(a_init,1);
vertices = size(vert_init,1);

center = zeros(1,4);
for n=1:faces;
  center = center + v_init(n,:);
end

convex = 1;
for n=1:faces;
  if (inner(v_init(n,:),center) > 0)
    convex = 0;
    break
  end
end;

