function P = permutation(poly);

a = poly.adjacency;
a_size = size(a,1);
P = zeros(a_size,1);

[v_inf,num_cycle,cycle,num_interior,interior] = find_v_inf(poly)
M = interior_to_cycle(poly,num_cycle,cycle,num_interior,interior)
pause
P(v_inf) = 1;   %Send v_inf to the first one in the primitive elt.

if (norm(M(:,1),1) > 3)
  int1 = interior(1);
  int2 = interior(2);
else
  int1 = interior(2);
  int2 = interior(1);
end

P(int1) = 2;	%The first interior point is the one connected to the
		%most ofther points, it is the top of the prim elt.

P(int2) = 3;    %The other interior point gets sent to 3.

for i=1:num_cycle;
  if (a(cycle(i),int1) == 0)
    special = i;
    break;
  end
end

special

P(cycle(i)) = a_size;
for i=1:special
  P(cycle(i)) = a_size-special + i;
end

for i=(special+1):num_cycle;
  P(cycle(i)) = i-special + 3;
end

