function poly_out = double_poly(poly_in,vertex_num);

poly1 = poly_in;
num_vert = size(poly_in.vert,1);
num_faces = size(poly_in.faces,1);
face1 = poly_in.vert(vertex_num,1);
face2 = poly_in.vert(vertex_num,2);
face3 = poly_in.vert(vertex_num,3);

poly1 = truncate_vertex(poly1,vertex_num);

poly1 = isometry(poly1,vertex_num,num_vert+1,num_vert+2);
poly2 = poly1;

M = [1 0 0 0;0 1 0 0;0 0 1 0;0 0 0 -1];
poly2.faces = (M*poly2.faces')';

poly_out.faces = poly1.faces(1:num_faces,:);
count = 0;
for i=1:num_faces;
  if (i ~= face1 & i ~= face2 & i ~= face3)
     count = count +1;
     poly_out.faces(num_faces+count,:) = poly2.faces(i,:);
  end
end

count = 0;
for i=1:num_vert;
  if (i ~= vertex_num)
    count = count + 1;
    poly_out.vert(count,:) = poly1.vert(i,:);
  end
end

temp = [face1 face2 face3];
minimum = min(temp);
med = median(temp);
maximum = max(temp);

for i=1:num_vert;
  if (i ~= vertex_num)
    count = count + 1;
    for j = 1:3;
      if (poly2.vert(i,j) == minimum | poly2.vert(i,j) == med | poly2.vert(i,j) == maximum)
        poly_out.vert(count,j) = poly2.vert(i,j);
      elseif (poly2.vert(i,j) < minimum)
        poly_out.vert(count,j) = poly2.vert(i,j) + num_faces;
      elseif (poly2.vert(i,j) < med)
        poly_out.vert(count,j) = poly2.vert(i,j) + num_faces -1;
      elseif (poly2.vert(i,j) < maximum)
        poly_out.vert(count,j) = poly2.vert(i,j) + num_faces -2;
      elseif (poly2.vert(i,j) > maximum)
        poly_out.vert(count,j) = poly2.vert(i,j) + num_faces -3;
      end
    end
  end
end


for i=1:2*num_faces-3;
  for j=1:2*num_faces-3;
    if (abs(inner(poly_out.faces(i,:),poly_out.faces(j,:))) <= 1.001)
      a(i,j) = 1;
    else
      a(i,j) = 0;
    end
  end
end

poly_out.adjacency = a;

