function comb_poly = enter_combinatorics(num_faces,edjes);

num_edjes = size(edjes,1);
num_vertices = 2 + num_edjes - num_faces;

adjacency = eye(num_faces);
faces = zeros(num_faces,4);
vertices = zeros(num_vertices,3);


for i=1:num_edjes;
  adjacency(edjes(i,1),edjes(i,2)) = 1;
  adjacency(edjes(i,2),edjes(i,1)) = 1;
end

adjacency;

num = 1;
for i=1:num_faces;
  for j=i+1:num_faces;
    if (adjacency(i,j) == 1)
      for k=j+1:num_faces;
        if (adjacency(j,k) == 1 & adjacency(i,k) == 1)
          vertices(num,:) = [i j k];
          num = num+1;
        end
      end
    end
  end
end

comb_poly.faces = faces;
comb_poly.adjacency = adjacency;
comb_poly.vert = vertices;

if (is_3prismatic(comb_poly) == 1)
  disp('3-prismatic poly entered, cannot garuntee output.')
end
