function inter_angles = intermediate_angles(angles1,angles2)
%  function inter_angles = intermediate_angles(angles1,angles2)
%  Computes midpoint between angles1 and angles2 in the polytope.
%
%  RR
faces = size(angles1,1);

for i=1:faces;
  for j=1:faces;
    if (angles1(i,j) > 0)
      inter_angles(i,j) = (angles1(i,j) + angles2(i,j))/2.;
    else
      inter_angles(i,j) = -10;
    end
  end
end


