function result = is_3prismatic(poly)
%  function result = is_3prismatic(poly)
%  determines if the polyhedron is 3 prismatic.
%
%  RR 12/11/02


a = poly.adjacency;
s = size(a,1);
cube = a^3;
result = 0;
for i=1:s
  if ((cube(i,i) - 5*(norm(a(i,:),1)-1) - 1) > 0)
    result = 1;
    i
  end
end
