function [poly_out,whitehead,iwhitehead] = old_comb_algorithm(poly_in)

poly_temp = poly_in;
[v_inf,num_cycle,cycle,num_interior,interior] = find_v_inf(poly_temp);
M = interior_to_cycle(poly_temp,num_cycle,cycle,num_interior,interior)
disp('Initial configuration')
pause

num_moves = 0;
while (num_interior > 2)
  [poly_temp,whitehead_temp,iwhitehead_temp] = old_cond_cycle(poly_temp,M,num_cycle,cycle,num_interior,interior,v_inf);
  new_moves = size(whitehead_temp,1)
  whitehead(num_moves+1:num_moves+new_moves,:) = whitehead_temp
  iwhitehead(num_moves+1:num_moves+new_moves,:) = iwhitehead_temp;
  num_moves = num_moves+new_moves;
  [v_inf,num_cycle,cycle,num_interior,interior] = find_v_inf(poly_temp);
  M = interior_to_cycle(poly_temp,num_cycle,cycle,num_interior,interior)
  pause
end


  disp('Final Adjustments: ')
  [v_inf,num_cycle,cycle,num_interior,interior] = find_v_inf(poly_temp);
  M = interior_to_cycle(poly_temp,num_cycle,cycle,num_interior,interior)
  [poly_temp,whitehead_temp,iwhitehead_temp] = final_comb(poly_temp,M,num_cycle,cycle,num_interior,interior,v_inf);
  new_moves = size(whitehead_temp,1)
  if (new_moves > 0)
    whitehead(num_moves+1:num_moves+new_moves,:) = whitehead_temp;
    iwhitehead(num_moves+1:num_moves+new_moves,:) = iwhitehead_temp;
    num_moves = num_moves+new_moves;
  end
  [v_inf,num_cycle,cycle,num_interior,interior] = find_v_inf(poly_temp);
  M = interior_to_cycle(poly_temp,num_cycle,cycle,num_interior,interior)

poly_out = poly_temp;

%change the wh moves to correspond to that of the primitive element:
perm = permutation(poly_out)
for i=1:num_moves;
  for j=1:2;
    tempwh(i,j) = perm(whitehead(i,j));
    tempiwh(i,j) = perm(iwhitehead(i,j));
  end
end

whitehead = tempwh;
iwhitehead = tempiwh;
  

